# Class RxapFormBuilder<Data, Form>

#### Type Parameters

- Data extends Record<string, any> = any
- Form extends FormType<Data> = FormType<Data>

- Defined in packages/angular/forms/src/lib/form-builder.ts:67

#####
Index

### Constructors

constructor

### Methods

build

##
Constructors

### constructor

- new RxapFormBuilder<
  Data extends Record<string, any> = any,
  Form extends FormType<Data> = FormType<Data>,
  >(
  definition: Constructor<Form>,
  injector?: Injector,
  providers?: StaticProvider[],
  ): RxapFormBuilder<Data, Form>

  #### Type Parameters

  - Data extends Record<string, any> = any
  - Form extends FormType<Data> = FormType<Data>

  #### Parameters

  - definition: Constructor<Form>
  - injector: Injector = Injector.NULL
  - providers: StaticProvider[] = []

  #### Returns RxapFormBuilder<Data, Form>

  - Defined in packages/angular/forms/src/lib/form-builder.ts:89

##
Methods

### build

- build<T extends FormType<Data> | FormDefinition<Data, any, any>>(
  state?: Readonly<any>,
  options?: Partial<FormDefinitionMetadata & { controlId?: string }>,
  ): T

  #### Type Parameters

  - T extends FormType<Data> | FormDefinition<Data, any, any>

  #### Parameters

  - state: Readonly<any> = {}
  - options: Partial<FormDefinitionMetadata & { controlId?: string }> = {}

  #### Returns T

  - Defined in packages/angular/forms/src/lib/form-builder.ts:118